summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorruki <[email protected]>2023-11-23 23:24:10 +0800
committerruki <[email protected]>2023-11-23 23:24:10 +0800
commitb83dfc02b51b0c0538d547d3247c6e3246653f5b (patch)
tree0a557d8e8f9d0a047895ebd9d42820e85d4dc89e
parent375583b7de60067daf0b8b160524e4ad30b4b6b3 (diff)
fix output file
-rw-r--r--.github/workflows/macos.yml2
-rwxr-xr-xscripts/makeppa2
2 files changed, 2 insertions, 2 deletions
diff --git a/.github/workflows/macos.yml b/.github/workflows/macos.yml
index ca9932513..b35c61e1a 100644
--- a/.github/workflows/macos.yml
+++ b/.github/workflows/macos.yml
@@ -43,7 +43,7 @@ jobs:
brew install gnu-tar
gem install --no-document fpm
cd core
- xmake pack --autobuild=n --basename=xmake xmakesrc -o ../artifacts
+ xmake pack --autobuild=n --basename=xmake -o ../artifacts xmakesrc
cd ..
scripts/makeself/build-runfile.sh
- uses: actions/upload-artifact@v2
diff --git a/scripts/makeppa b/scripts/makeppa
index 44c7b1b75..53b559e10 100755
--- a/scripts/makeppa
+++ b/scripts/makeppa
@@ -32,7 +32,7 @@ basename=xmake-$version+$patch$serie
tarball=$workdir/$basename.tar.gz
if [ ! -f $tarball ]; then
cd core
- xmake pack --autobuild=n --formats=targz --basename=xmake xmakesrc -o ../artifacts || exit -1
+ xmake pack --autobuild=n --formats=targz --basename=xmake -o ../artifacts xmakesrc || exit -1
cd ..
cp ./artifacts/xmake.tar.gz $tarball
fi